[RDD] Updating Rivendell to 2.16.0

Seth Stevenson rcflyer30 at gmail.com
Tue Jun 6 10:38:31 EDT 2017


Hi all,

I am trying to update rivendell from 2.13.0 to 2.16.0 on a pi 3, so I am
compiling from source.

Here are the steps I've done.

Download 2.16.0 and put the folder on the desktop.

Cd'd into the folder and did ./configure  --libexecdir=/var/www/rd-bin
Make
Sudo make install

I am getting this fail error.

../libtool: line 1099: cd: /home/pi/Desktop/rivendell/pam_rd: No such file
or directory
/bin/bash: /home/pi/Desktop/rivendell/libtool: No such file or directory
libtool: install: error: relink `pam_rd.la' with the above command before
installing it
Makefile:412: recipe for target 'install-inst_libLTLIBRARIES' failed
make[2]: *** [install-inst_libLTLIBRARIES] Error 1
make[2]: Leaving directory '/home/pi/Desktop/rivendell_2.16.0/pam_rd'
Makefile:579: recipe for target 'install-am' failed
make[1]: *** [install-am] Error 2
make[1]: Leaving directory '/home/pi/Desktop/rivendell_2.16.0/pam_rd'
Makefile:524: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1


What is it and how do I fix it? Is there a better way to upgrade from
source?

Thanks.

-- 
Seth Stevenson
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://caspian.paravelsystems.com/pipermail/rivendell-dev/attachments/20170606/fa76fa44/attachment-0001.html>


More information about the Rivendell-dev mailing list